%define debug_package %{nil}

%define name yaf

%define Testing 0
%{?_with_Testing:%define Testing 1}

%if %{Testing}
%define version 3.0.0.alpha2
%define release 1%{?dist}
%else
%define version 2.13.0
%define release 1%{?dist}
%endif

%define PFR 0
%if 0%{?centos} == 6 || 0%{?centos} == 7 || 0%{?centos} == 8
%ifarch x86_64
%define PFR 1
%endif
%endif

Summary:		Yet Another Flow sensor
Name:			%{name}
Version:		%{version}
Release:		%{release}
Group:			NetSA
License:		GPL
URL:			http://tools.netsa.cert.org/yaf/
Source:			%{name}-%{version}.tar.gz
%if %{PFR}
Patch1:			%{name}-%{version}-patch-001
%endif
BuildRoot:		%{_tmppath}/%{name}-%{version}
Packager:		Tony Cebzanov <tonyc@cert.org>
Vendor:			http://tools.netsa.cert.org/
Provides:		yaf
Requires:		glib2 >= 2.6.4
Requires:		libfixbuf >= 2.0.0
Requires:		libpcap
%if "x1" == "x1"
Requires:		pcre >= 7.3
%endif
BuildRequires:		glib2-devel >= 2.6.4
BuildRequires:		libfixbuf-devel >= 1.0.0
BuildRequires:		pkgconfig >= 0.8
BuildRequires:		libpcap-devel
%if 1 == 2
BuildRequires:		libtool-ltdl-devel
%endif
%if "x1" == "x1"
BuildRequires:		pcre-devel >= 7.3
%endif
BuildRequires:		zlib-devel
%if %{PFR}
BuildRequires:		pfring >= 7.8.0
BuildRequires:		pfring-dkms >= 7.8.0
%define PFRING --with-pfring
%else
%define PFRING --without-pfring
%endif

%description
YAF is Yet Another Flow sensor. It processes packet data from pcap(3) dumpfiles
as generated by tcpdump(1) or via live capture from an interface using pcap(3)
or an Endace DAG card into bidirectional flows, then exports those flows to
IPFIX Collecting Processes or in an IPFIX-based file format. YAF's output can
be used with the NetSA Aggregated Flow (NAF) toolchain.

%package devel
Summary: Static libraries and C header files for yaf
Group: Development/NetSA
Provides: yaf-devel
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.8


%description devel
Static libraries and C header files for yaf.

%prep
%setup
%if %{PFR}
%patch1 -p1
%endif

%build
export CC="gcc -fPIC"
./configure --host=%{_host} --build=%{_build} --target=%{_target_platform} --program-prefix=%{?_program_prefix} --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} --infodir=%{_infodir} --disable-static --enable-plugins --enable-applabel %{PFRING}
#sed --in-place 's/yafzcbalance_LDFLAGS = /yafzcbalance_LDFLAGS = -L..\/airframe\/src /' scripts/Makefile
%{__make}

%install
export QA_RPATHS=$[ 0x0001|0x0002 ] 
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
install --mode=0755 etc/init.d/yaf $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
install --mode=0644 etc/yaf.conf $RPM_BUILD_ROOT%{_sysconfdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%if %{Testing}
%doc AUTHORS NEWS README
%else
%doc AUTHORS COPYING NEWS README doc/html
%endif
%{_bindir}/yaf
%{_bindir}/yafscii
%{_bindir}/yafcollect
%{_bindir}/airdaemon
%{_bindir}/filedaemon
%{_bindir}/getFlowKeyHash
%{_bindir}/yafMeta2Pcap
%if %{PFR}
%{_bindir}/yafzcbalance
%endif
%{_libdir}/*.so*
%if "x1" == "x1"
%{_libdir}/yaf/*.so*
%endif
%{_mandir}/*
%{_datadir}/yaf/yaf.init
%if %{Testing} == 0
%config(noreplace) %{_sysconfdir}/yafApplabelRules.conf
%endif
%if "x1" == "x1"
%if %{Testing} == 0
%config(noreplace) %{_sysconfdir}/yafDPIRules.conf
%endif
%config(noreplace) %{_sysconfdir}/dhcp_fingerprints.conf
%endif
%if "x2" == "x1"
%config(noreplace) %{_sysconfdir}/p0f.fp
%endif
%config(noreplace) %{_sysconfdir}/yaf.conf
%attr(755,root,root) %{_sysconfdir}/init.d/yaf 

%files devel
%defattr(-, root, root)
%{_includedir}/*
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%if "x1" == "x1"
%if 0%{?fedora} >= 36
%else
%{_libdir}/yaf/*.la 
%endif
%endif
%{_libdir}/pkgconfig/*

%changelog
%if %{Testing}
* Thu Feb  9 2023 Lawrence R. Rogers <lrr@cert.org> 3.0.0.alpha2-1
* Release 3.0.0.alpha2-1
	Enhanced the deep packet inspection capabilities for SSH connections to include negotiated algorithms and HASSH hash.
	Added the JA3 hash to the DPI for TLS connections.
	Made several changes to the yafDPIRules.conf file for applabels written as C plugins: Allow the user to disable the export of arbitrary DPI elements and SMTP headers.
		Allow a protocol to be specified. Moved the regex definitions from C to yafDPIRules.conf.
	Increased the maximum payload that YAF may capture for performing DPI.
	Fixed a potential bug in the Shannon entropy calculation that may cause small differences in calculated values.
%endif

* Thu Feb  9 2023 Lawrence R. Rogers <lrr@cert.org> 2.13.0-1
* Release 2.13.0-1
	Added ability for yaf to limit payload export to a named set of applabels.
	Increased the maximum payload that YAF may capture for performing DPI.
	Added support for recent releases of nDPI.
	Added yaf.init to the list of installed files.
	Stopped export of full flow template that is never used for data records.
	Fixed minor bug in --version where Compact IPv4 support always reported NO.
	Fixed bugs in regular expressions for nntpResponseRegex and smtpURLRegex.

%if %{Testing}
* Mon Feb 28 2022 Lawrence R. Rogers <lrr@cert.org> 3.0.0.alpha1-1
* Release 3.0.0.alpha1-1

	Merged the configuration files yafApplabelRules.conf and yafDPIRules.conf into a single
		file written in Lua. Previous versions of those files will not work with this version of yaf.
	Changed Deep Packet Inspection (DPI) support to be compiled into yaf when requested
		by configure; it is no longer a plug-in. Run configure with --enable-dpi to enable the
		capability; run yaf with --dpi to use it. Specifying --dpi enables application labeling;
		it is no longer necessary to explicitly specify --applabel when enabling DPI.
	Changed yaf to export metadata about information elements and templates by default:
		both as compile-time and run-time options. To disable on an invocation, run yaf with
		the --no-element-metadata and/or --no-template-metadata switches. To disable support
		entirely, pass --disable-metadata-export to configure. (Note that super_mediator-2.0.0
		works best with template metadata enabled.)
	Updated yaf to use the enhanced template metadata available in libfixbuf-3.0.0. This
		allows yaf to declare that it only uses some templates within sub-records (that is,
		within a subTemplateList or subTemplateMultiList). The metadata also describes the
		information element yaf uses in its basicLists.
	Added the yaf command line option --payload-applabel-select to enable exporting payload data for only selected appLabel values.
	Updated the regular expressions used for application-labeling.
	Changed numerous aspects of the DPI data.
	Updated, rearranged, and fixed bugs in SMTP DPI.
	Added fields for more DNSSEC values and fixed other bugs in DNS DPI.
	Renamed the configure option --enable-p0fprinter to --with-p0f.
	Renamed the configure option --enable-ndpi to --with-ndpi.
	Fixed bugs in POP3 DPI.
	Removed support for the Spread toolkit.
	Removed support for the popt options parser.
	Updated fixbuf requirement to libfixbuf-3.0.0.
%endif

* Thu Oct 14 2021 Lawrence R. Rogers <lrr@cert.org> 2.12.2-1
* Release 2.12.2-1
	Added new protocols to the yafAppLabelRules.conf file and updated several regular expressions.
	Changed the regexes used by the SMTP DPI plugin and improved capture when multiple messages appear in a single SMTP session.
	Fixed a crash in the SMTP DPI plugin when reading uniflow records.
	Updated the POP3 DPI plugin.
	Updated yafzcbalance to be compatibile with PF_Ring-8.
	
* Tue Aug 17 2021 Lawrence R. Rogers <lrr@cert.org> 2.12.1-2
* Release 2.12.1-2
	New version of libpfring with patch from NetSA.

* Tue Dec 22 2020 Lawrence R. Rogers <lrr@cert.org> 2.12.1-1
* Release 2.12.1-1
	Changed the templates and IEs used for SMTP DPI. The new templates use different IDs than those used by previous releases of YAF.
		super_mediator-1.8.0 or later is required to read this format. Currently there is no version of Analysis Pipeline that reads the SMTP DPI.
	First public release of YAF 2.12.x.

* Fri Nov 20 2020 Lawrence R. Rogers <lrr@cert.org> 2.11.2-1
* Release 2.11.2-1
	Fixed bugs in NTP and DNS deep packet inspection.
	Fixed a compilation error when building with metadata export enabled.
	Fixed possible compilation errors when building with nDPI support.
	Fixed compilation errors when building with newer versions of PF_Ring.

* Fri Mar 27 2020 Lawrence R. Rogers <lrr@cert.org> 2.11.0-4
* Release 2.11.0-4
        Aded PF_Ring support for CentOS/RHEL 8.

* Fri Aug 30 2019 Lawrence R. Rogers <lrr@cert.org> 2.11.0-3
* Release 2.11.0-3
        Rebuilt for libfixbuf-2.4.0.

* Fri Apr 19 2019 Lawrence R. Rogers <lrr@cert.org> 2.11.0-2
* Release 2.11.0-2
        Rebuilt for libfixbuf-2.3.1.

* Mon Mar 18 2019 Lawrence R. Rogers <lrr@cert.org> 2.11.0-1
* Release 2.11.0-1
	Support for FixBuf 2.3.0 added, and is now required.
	Added support for nDPI 2.0.
	CERT Info Model support added.
	More strict DNS applabel.
	Initial NTP Mode 7 applabel supprt.
	Improved POSIX compliance for init script.
	Removed ipfixDump; it is now distributed with libfixbuf.
	DNS DPI free segfault fix.
	New YAF stats and tombstone format.

* Tue Dec  4 2018 Lawrence R. Rogers <lrr@cert.org> 2.10.0-3
* Release 2.10.0-3
	Rebuilt for libfixbuf-2.2.0.

* Thu Jul 19 2018 Lawrence R. Rogers <lrr@cert.org> 2.10.0-2
* Release 2.10.0-2
	Rebuilt for libfixbuf-2.1.0.

* Mon Apr 30 2018 Lawrence R. Rogers <lrr@cert.org> 2.10.0-1
* Release 2.10.0-1
	Support for FixBuf 2.0.0 added, and is now required.
	Derive information elements from included XML files.
	Various reporting/output bug fixes for ipfixDump.
	Support for tombstone records added.

* Thu Dec 21 2017 Lawrence R. Rogers <lrr@cert.org> 2.9.3-1
* Release 2.9.3-1
	Fixed configure-time dependency for libndpi to limit use of v1.8.0 and greater.
	init script now gives YAF more time to shut down gracefully.

* Wed Nov  8 2017 Lawrence R. Rogers <lrr@cert.org> 2.9.2-1
* Release 2.9.2-1
	Fixed configure-time bug when using libfixbuf 1.7.1 (or earlier) and p0fprinter

* Thu Nov  2 2017 Lawrence R. Rogers <lrr@cert.org> 2.9.1-1
* Release 2.9.1-1
	Fixed bug that could corrupt flow emitted to standard output

* Mon Oct 23 2017 Lawrence R. Rogers <lrr@cert.org> 2.9.0-1
* Release 2.9.0-1
	nDPI library suppport added
	Added NTP applabel
	Added RFC5610 template metadata (name and description) record output.
	Add option --no-vlan-in-key to drop VLAN ID from hash calculation
	Minor Bug Fixes

* Sun Oct 22 2017 Lawrence R. Rogers <lrr@cert.org> 2.8.4-3
* Release 2.8.4-3
	Build with new version of pfring

* Fri Jan 20 2017 Lawrence R. Rogers <lrr@cert.org> 2.8.4-2
* Release 2.8.4-2
	Build with option --with-pfring

* Thu Apr 14 2016 Lawrence R. Rogers <lrr@cert.org> 2.8.4-1
* Release 2.8.4-1
	2.8.4
		Fix incompatibility with older versions of libpcap introduced in 2.8.3
	2.8.3
		Important bug fix for versions 2.8.x. Fixes a bug in decoding specific TCP Options headers.

* Tue Apr  5 2016 Lawrence R. Rogers <lrr@cert.org> 2.8.2-1
* Release 2.8.2-1
	Fix application labeling bug introduced in 2.8.0 which incorrectly labels particular REGEX labels
	Other Bug Fixes

* Thu Feb  4 2016 Lawrence R. Rogers <lrr@cert.org> 2.8.1-1
* Release 2.8.1-1
	Fix compile error when configured with --disable-payload
	Force buffer emit with IPFIX Options record when inactive

* Tue Dec 22 2015 Lawrence R. Rogers <lrr@cert.org> 2.8.0-1
* Release 2.8.0-1
	Remove support for fixbuf releases prior to libfixbuf-1.7.0
	PF_RING support
	PF_RING ZC (Zero Copy) support
	Add support for gzip'd PCAP files
	Add support for decoding MPTCP headers and exporting MPTCP information
	Add LUA configuration file for yaf startup
	New SSL Server Name field export from TLS/SSL Client Hello
	New option for exporting entire X.509 Certificate
	Add Fragment flag to flowAttributes to signify that a flow contained fragmented packets
	DHCP fingerprinting plugin now exports basic list of options by default
	ipfixDump prints number of records for each template
	Bug Fix for labeling DNS over TCP
	Bug Fix for reverseFlowDeltaMilliseconds field
	Bug Fix for collecting X.509 Certificates through a proxy
	More detailed information about ignored packets on termination/SIGUSR1

* Tue Oct 20 2015 Lawrence R. Rogers <lrr@cert.org> 2.7.1-3
* Release 2.7.1-3
	New release built with libfixbuf 1.7.1.

* Tue Jul  7 2015 Lawrence R. Rogers <lrr@cert.org> 2.7.1-2
* Release 2.7.1-2
	New release built with libfixbuf 1.7.0

* Tue Jan 27 2015 Lawrence R. Rogers <lrr@cert.org> 2.7.1-1
* Release 2.7.1-1
	Fix a bug with --flow-stats in particular configurations

* Wed Jan  7 2015 Lawrence R. Rogers <lrr@cert.org> 2.7.0-1
* Release 2.7.0-1
	New Gh0st RAT Application Label
	New NetBIOS Datagram Service Application Label
	yafMeta2Pcap can now accept IPFIX input
	getFlowKeyHash now exports IPFIX
	Support for indexing PCAPNG files
	New YAF option --no-output to produce no IPFIX output
	New YAF options --hash and --stime to search for a single flow with the given hash and start time
	DNS DPI now exports query section of resource record for all responses with nonzero RCODE
	Faster searching of pcap-meta files
	Implement SAME_SIZE flag for TCP flows
	Minor Bug Fixes

* Mon Dec  8 2014 Lawrence R. Rogers <lrr@cert.org> 2.6.0-4
* Release 2.6.0-4
	New release built with libfixbuf 1.6.2

* Wed Oct 15 2014 Lawrence R. Rogers <lrr@cert.org> 2.6.0-3
* Release 2.6.0-3
	New release built with libfixbuf 1.6.1

* Tue Sep 30 2014 Lawrence R. Rogers <lrr@cert.org> 2.6.0-2
* Release 2.6.0-2
	New release built with libfixbuf 1.6.0

* Wed Sep  3 2014 Lawrence R. Rogers <lrr@cert.org> 2.6.0-1
* Release 2.6.0-1
	Added a new tool, ipfixDump, to read and dump the contents of IPFIX files. Requires Fixbuf 1.4.0 or later.
	Add LDAP application label
	Filedaemon can now move files from one directory to another without passing to a child program
	SSL/TLS DPI modification to capture SSL record version
	Update CERT PEN Information Elements to use full information model if Fixbuf 1.4.0 or later is available
	Fix for Modbus application label to reduce false positives
	Bug Fix for TOS field when running with --uniflow
	Bug Fix in RPM spec file
	Bug Fix for labeling malformed DNS packets
	Bug Fix for processing out of order packets with --force-read-all
	Bug Fix for exporting reverse payload
	Other minor bug fixes

* Wed Aug 20 2014 Lawrence R. Rogers <lrr@cert.org> 2.5.0-3
* Release 2.5.0-3
	New release built with libfixbuf 1.5.0. This release was rebuilt for CentOS 6 which was linked incorrectly
	with the previous version of libfixbuf.

* Fri Aug  8 2014 Lawrence R. Rogers <lrr@cert.org> 2.5.0-2
* Release 2.5.0-2
	New release built with libfixbuf 1.5.0

* Tue Mar 04 2014 Lawrence R. Rogers <lrr@cert.org> 2.5.0-1
* Release 2.5.0-1
	Bug Fix for indexing rolling pcap files
	Added MPLS flow hashing and label export
	Add option for yafMeta2Pcap to take a list of pcap files
	Non-IP flow data can be exported in MPLS mode
	Added Napatech 3GD support
	Added Netronome support
	Added DNP3 application labeling and configurable DPI
	Added Modbus application labeling and configurable DPI
	Added Ethernet/IP application labeling and configurable DPI
	YAF DPI plugin now exports RTP Payload Type
	Added compile time option to enable local-time logging
	New Bittorrent application label
	Added Daemonizing capability within YAF
	Added option to disable promiscuous mode on device
	Added LDP application label for MPLS support
	Added Juniper Ethernet (DLT_JUNIPER_ETHER) link layer support
	getFlowKeyHash can now accept IPFIX input
	Interface recording is now enabled by default for capture cards
	Bug Fix for pcap-per-flow option
	Type of Service Field now exported

* Thu Jan 16 2014 Lawrence R. Rogers <lrr@cert.org> 2.4.0-3
* Release 2.4.0-3
	Removed references to p0

* Thu Dec 12 2013 Lawrence R. Rogers <lrr@cert.org> 2.4.0-2
* Release 2.4.0-2
	New release linked with libfixbuf 1.4.0

* Fri May 03 2013 Lawrence R. Rogers <lrr@cert.org> 2.4.0-1
* Release 2.4.0-1
	New HTTP DPI Fields
	Updated DPI Elements
	Bug Fix to not replace yaf.conf on install
	New application label: VMware server console
	Added support to decode ERSPAN headers
	Drop statistics are updated when statistics messages are exported
	yafcollect bug fix
	Other Bug Fixes
	
* Tue Mar 12 2013 Lawrence R. Rogers <lrr@cert.org> 2.3.3-2
* Release 2.3.3-2
	New release linked with libfixbuf 1.3.0
	
* Wed Jan 30 2013 Lawrence R. Rogers <lrr@cert.org> 2.3.3-1
* Release 2.3.3-1
	init.d script improvements
	Allow yafmeta2pcap to accept multiple files
	Report drop statistics on SigUsr1
	Bug Fixes

* Fri Sep 14 2012 Lawrence R. Rogers <lrr@cert.org> 2.3.2-2
* Release 2.3.2-2
	Bug Fix to maintain compatibility with older versions of GLib and libpcap

* Mon Sep 10 2012 Lawrence R. Rogers <lrr@cert.org> 2.3.1-1
* Release 2.3.1-1
	DPI Improvements
	Additional Pcap Export Option --index-pcap
	Add option to manually set ingress/egress interface fields
	Add tool to create pcap from pcap metafile
	Bug Fixes

* Tue Jun 26 2012 Lawrence R. Rogers <lrr@cert.org> 2.2.2-2
* Release 2.2.2-2
	Rebuilt for libfixbuf-1.1.2

* Fri Mar 30 2012 Lawrence R. Rogers <lrr@cert.org> 2.2.2-1
* Release 2.2.2-1
	Bug Fix for Vlan Tagging

* Thu Mar 29 2012 Lawrence R. Rogers <lrr@cert.org> 2.2.1-3
* Release 2.2.1-3
	Enabled -enable-ltdl-install=no to avoid conflicts with other packages

* Thu Mar 29 2012 Lawrence R. Rogers <lrr@cert.org> 2.2.1-2
* Release 2.2.1-2
	Enabled the following options:
	- enable-applabel - enable the packet payload application label engine
	- enable-p0fprinter - enable the p0f based OS finger printing capability
	- enable-plugins - enable YAF to load plugin extensions

* Thu Mar 8 2012 Lawrence R. Rogers <lrr@cert.org> 2.2.1-1
* Release 2.2.1-1
	Bug Fixes

* Sun Feb 19 2012 Lawrence R. Rogers <lrr@cert.org> 2.2.0-1
* Release 2.2.0-1
	New Application Labels (MSNP, RTP, RTCP, Jabber)
	Rolling Pcap output and pcap-per-flow option.
	CERT p0f Fingerprints included.
	New option to process out-of-sequence flows.
	Several other bug fixes.

* Tue Jan 3 2012 Lawrence R. Rogers <lrr@cert.org> 2.1.2-2
* Release 2.1.2-2
	Rebuilt for libfixbuf-1.1.1

* Fri Sep 23 2011 Lawrence R. Rogers <lrr@cert.org> 2.1.2-1
* Release 2.1.2-1
	Added new --plugin-conf switch for adding a configuration file to a plugin
	Added new --p0f-fingerprints switch to give location of p0f fingerprint files
	Bug Fixes

* Tue Sep 13 2011 Lawrence R. Rogers <lrr@cert.org> 2.1.1-2
* Release 2.1.1-2
	Rebuilt for libfixbuf-1.0.2

* Thu Aug 11 2011 Lawrence R. Rogers <lrr@cert.org> 2.1.1-1
* Release 2.1.1-1
	Important bug fix for application labeling SSL plugin

* Wed Jul 27 2011 Lawrence R. Rogers <lrr@cert.org> 2.1.0-1
* Release 2.1.0-1
	New Information Element exported in every flow record, flowAttributes (CERT PEN 6871, IE 40).
	YAF now checks if a flow has fixed-size packets and exports this flag using the new flowAttributes Information Element (see yaf)
	Reset Application Label on UDP-uniflows for Deep Packet Inspection
	Fixed yafscii invalid parameter bug that may have existed on certain platforms
	Added VNC (RFB Protocol) application label
	DPI Enhancements
	FlowEndReason IPFIX field is now set to 31 for udp-uniflows
	For Cygwin: Added support for getting the yaf config directory via the Windows Registry
	Several other bug fixes

* Mon Jun 13 2011 Lawrence R. Rogers <lrr@cert.org> 2.0.2.1
* Release 2.0.2-1
	Improvements with Reassembly of TCP Fragments.
	Bug Fix for DNS Deep Packet Inspection.
	--no-frag switch now works.
	Bug Fix for expiring flows that exceed the idle timeout when reading from a file.
	Added the ability to configure YAF with WinPCAP.

* Thu Apr 28 2011 Lawrence R. Rogers <lrr@cert.org> 2.0.1-1
* Release 2.0.1-1
	Bug Fix for compile error with --enable-daginterface
	Enhancement for SNMPv3 application labeler

* Thu Apr 28 2011 Lawrence R. Rogers <lrr@cert.org> 2.0.0-1
* Release 2.0.0-1
	This version requires libfixbuf-1.0.0 or greater.

	Added Napatech Adapter Integration (requires libpcapexpress).
	YAF now exports TCP, payload, finger printing, p0f, MAC, entropy, and DPI flow information within an IPFIX subTemplateMultiList data type.
	Added the ability to export YAF capture statistics using IPFIX Options Templates.
	The --stats or --no-stats were added to configure YAF stats output.
	Added the ability to define Spread group types to use Spread as a manifold for flow export based on application, port, protocol, version, or vlan.
	Added New Application Labels: DHCP, AIM, SOCKS, SMB, SNMP, NETBIOS.
	Added a time-out buffer flush function.
	Added SSL Certificate Capture.
	Added DNS Resource Record Parsing.
	Added Deep Packet Inspection for the MySQL protocol.
	The --silk switch will maintain compatibility with SiLK by not nesting TCP information in the subTemplateMultiList data type.
	Deep Packet Inspection elements are read from one configuration file.
	Added the ability to create new DPI elements from configuration file.
	Added UDP Export and Template Retransmission.
	Many Bug fixes and other enhancements.

* Thu Feb 3 2011 Lawrence R. Rogers <lrr@cert.org> 1.3.2-1
* Release 1.3.2-1
	Bug fix for dnsplugin.c
	Minor bug fix for fingerprint exporting.
